// Copyright 2019 Google LLC
//
// Use of this source code is governed by an MIT-style
// license that can be found in the LICENSE file or at
// https://opensource.org/licenses/MIT.

#ifndef PIK_DPIK_H_
#define PIK_DPIK_H_

#include <stddef.h>
#include <stdint.h>

#include "codec.h"
#include "data_parallel.h"
#include "padded_bytes.h"
#include "pik_params.h"
#include "status.h"

namespace pik {

/* struct DecompressArgs removed */

/* class DecompressStats removed */

Status Decompress(const PaddedBytes& compressed, const DecompressParams& params,
                  ThreadPool* pool, CodecInOut* PIK_RESTRICT io,
                  size_t* downsampling);

/* WriteOutput() removed */

}  // namespace pik

#endif  // PIK_DPIK_H_
