// Copyright 2017 Google Inc. All Rights Reserved.
//
// Use of this source code is governed by an MIT-style
// license that can be found in the LICENSE file or at
// https://opensource.org/licenses/MIT.

#ifndef PIK_ALPHA_H_
#define PIK_ALPHA_H_

// Encodes/decodes alpha image to/from its compressed representation.

#include "headers.h"
#include "image.h"
#include "pik_params.h"
#include "status.h"

namespace pik {

/* EncodeAlpha() removed */

// "plane" must be pre-allocated (FileHeader knows the size).
Status DecodeAlpha(const DecompressParams& params, const Alpha& alpha,
                   ImageU* plane, const Rect& rect);

}  // namespace pik

#endif  // PIK_ALPHA_H_
